#include "htdr.h"
#define HT(x) htdr_ ## x
#include <genht/ht.c>
#include <genht/hash.h>

htdr_value_t htdr_inv_val = {0};

unsigned htdr_keyhash(htdr_key_t a)
{
	return jenhash(&a.old_id, sizeof(a.old_id)) ^ jenhash(&a.type, sizeof(a.type));
}


int htdr_keyeq(htdr_key_t a, htdr_key_t b)
{
	return (a.type == b.type) && (a.old_id == b.old_id);
}

#undef HT
